Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface MonitorService

    public interface MonitorService

server monitor is an interface to represent a clutered server states

Method Summary
`CurrentMonitorStatistics` | `getCurrentMonitorStatistics()` get `CurrentMonitorStatistics` in this clustered server.
`UserSessionManager` | `getCurrentUserSessionTable()` get `UserSessionManager` in this clustered server.
`FinishedReportTable` | `getFinishedReportTable()` get `FinishedReportTable` in this clustered server.
`MonitorSetting` | `getMonitorSetting()` get `MonitorSetting` in this clustered server.
`java.lang.String` | `getMonitorUser()` get be monitoring the user in this server.
`RunningReportTable` | `getRunningReportTable()` get `RunningReportTable` in this clustered server.
`UserSessionMonitor` | `getUserSessionMonitor()` get `UserSessionMonitor` in this cluster server `UserSessionMonitor` contains user sessions information displaying and controlling.
`void` | `setMonitorUser(java.lang.String useName)` set be monitoring the user in this server.

Method Detail

### getRunningReportTable

    RunningReportTable getRunningReportTable()

  get `RunningReportTable` in this clustered server. `RunningReportTable` manages running reports.

  Returns:
    RunningReportTable in this clustered server. .

### getCurrentUserSessionTable

    UserSessionManager getCurrentUserSessionTable()

  get `UserSessionManager` in this clustered server. `UserSessionManager` manages the user sessions.

  Returns:
    UserSessionManager in this clustered server.

### getFinishedReportTable

    FinishedReportTable getFinishedReportTable()

  get `FinishedReportTable` in this clustered server. `FinishedReportTable` contains information of finished reports .

  Returns:
    FinishedReportTable in this clustered server.

### getCurrentMonitorStatistics

    CurrentMonitorStatistics getCurrentMonitorStatistics()

  get `CurrentMonitorStatistics` in this clustered server. `CurrentStatistics` contains information of current Statistics.

  Returns:
    Statistics datas in this clustered server. .

### getMonitorSetting

    MonitorSetting getMonitorSetting()

  get `MonitorSetting` in this clustered server. `MonitorSetting` contains information of parameters setting.

  Returns:
    MonitorSetting in this clustered server.

### setMonitorUser

    void setMonitorUser(java.lang.String useName)

  set be monitoring the user in this server.

### getMonitorUser

    java.lang.String getMonitorUser()

  get be monitoring the user in this server.

  Returns:
    be monitoring the user in this server.

### getUserSessionMonitor

    UserSessionMonitor getUserSessionMonitor()

  get `UserSessionMonitor` in this cluster server `UserSessionMonitor` contains user sessions information displaying and controlling.

  Returns:
    a `UserSessionMonitor` reference in this cluster server.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD